#include <inttypes.h>

//Betriebsmodi der RTC
//Clock Mode mit 32768 Hz Takt
#define MODE_CM32 0b00
//Clock Mode mit 50 Hz Takt
#define MODE_CM50 0b01



//Funktionsprototypen
extern uint8_t rtc_init(uint8_t mode);

extern uint8_t rtc_setSeconds(uint8_t sec);

extern uint8_t rtc_setMinutes(uint8_t min);

extern uint8_t rtc_setHours24(uint8_t hour);

extern uint8_t rtc_getSeconds();

extern uint8_t rtc_getMinutes();

extern uint8_t rtc_getHours24();

extern uint8_t rtc_setWeekday(uint8_t weekday);

extern uint8_t rtc_getWeekday();

extern uint8_t rtc_setMonth(uint8_t month);

extern uint8_t rtc_setYear(uint16_t year);

extern uint16_t rtc_getYear();

extern uint8_t rtc_getMonth();

extern uint8_t rtc_getDays();

extern uint8_t rtc_setDays(uint8_t days);

extern uint8_t rtc_intToBCD(uint8_t intVal);

extern uint8_t rtc_bcdToInt(uint8_t bcd);

extern uint8_t rtc_writeRegister(uint8_t regAddr, uint8_t data);

extern uint8_t rtc_readRegister(uint8_t regAddr);

extern uint8_t rtc_registerAND(uint8_t val, uint8_t regAddr, uint8_t bitmask);

extern uint8_t rtc_writeRegisterSequence(uint8_t startAddr, uint8_t numReg, uint8_t *data);


